question on "smart upgrade --dump"

Gustavo Niemeyer gustavo at niemeyer.net
Mon Jan 29 06:53:14 PST 2007


> I would not say this list is "incorrect", but "incomplete". (...)

The list is incorrect, since it's not showing what it was supposed
to.  There are missing packages that trigger more additional
dependencies missing in that list. Namingly, all those that are
considered downgrades.

> I picked all of them. (...)

No, you didn't. You didn't pick any packages that were listed as
downgrades.

> Yes, that was what I meant. When you look at my OP, the (...)

You have all the hints to understand what's going on in the
thread history.  Unfortunately, I don't have the time or energy
to continue explaining that to you.

"upgrade --dump" is incorrect. It will be fixed for the next version.

-- 
Gustavo Niemeyer
http://niemeyer.net


More information about the smart mailing list